PUT/shop

Update Shop

Update Shop

Implementation Notes

This endpoint enables you to update the existing configuration by using the shopId.

PUT/shop

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
» shopIdbodynumberRequirednone
» namebodystringOptionalnone
» horizonbodynumberOptionalnone
» horizonExpressionbodystringOptionalnone
» horizonRangebodystringOptionalnone
» marketbodystringOptionalnone
» websiteCodebodynumberOptionalnone
» shopTypebodynumberOptionalnone
» destIdbodystringOptionalnone
» destTypebodystringOptionalnone
» citybodystringOptionalnone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT /shop \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopId": 0,
  "name": "string",
  "horizon": 0,
  "horizonExpression": "",
  "horizonRange": "",
  "market": "string",
  "websiteCode": 0,
  "shopType": 0,
  "destId": "string",
  "destType": "string",
  "city": ""
}

Example responses

200 Response
{
  "message": "Shop Updated Successfully",
  "shopId": 0
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.